# ManifestMergeSpec

interface ManifestMergeSpec

Specifies how the entries of multiple manifests should be merged together.

## Functions

eachEntry
Link copied to clipboard
abstract fun eachEntry(@DelegatesTo(value = ManifestMergeDetails::class) mergeAction: Closure<out Any>): ManifestMergeSpec
abstract fun eachEntry(mergeAction: Action<in ManifestMergeDetails>): ManifestMergeSpec
Adds an action to be applied to each key-value tuple in a merge operation.
from
Link copied to clipboard
abstract fun from(mergePaths: Array<Any>): ManifestMergeSpec
Adds a merge path to a manifest that should be merged into the base manifest.
getContentCharset
Link copied to clipboard
abstract fun getContentCharset(): String
The character set used to decode the merged manifest content.
setContentCharset
Link copied to clipboard
abstract fun setContentCharset(contentCharset: String)
The character set used to decode the merged manifest content.